<?php
function eventsShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-event');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_events_npp_count',1);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-events-thumb');
                $post = get_post();

                ?>

                 <div class="item">
                    <div events-match-height="groupName" class="peccular-events-single <?php echo esc_attr(get_theme_mod('peccular_events_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s" style="text-align : <?php if(get_theme_mod('peccular_events_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_events_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_events_box_align','Right') == 'Right'){ ?> right <?php } ?> ">

                        
                        <div class="peccular-events-img">
                             <div class="peccular-events-border"></div>
                             <div class="peccular-events-overlay"></div>
                             <div class="eventoverlay"></div>
                        <?php
                        if (has_post_thumbnail()) {
                        $image_url = $peccular_image[0];
                        } else {
                        $image_url = get_template_directory_uri() . '/images/eventimg1.jpg';
                        }
                        ?>  
                         <a href="<?php the_permalink(); ?>">                           
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="events" style="height: <?php echo esc_attr(get_theme_mod('peccular_events_post_image_height','511')) ?>px;" />
                       
                        </a>

                        <div class="peccular-events-content" style="text-align: <?php if(get_theme_mod('peccular_events_box_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_events_box_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_events_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
                        
                        <a href="<?php the_permalink(); ?>">    
                        <h4 class="peccular-events-title inner-area-title" style="text-transform : <?php if(get_theme_mod('peccular_events_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_events_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_events_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } elseif(get_theme_mod('peccular_events_title_case','None') == 'None'){ ?> none <?php } ?>">
                        <?php the_title(); ?>
                        </h4>

                         <p>
                            <?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_events_post_excerpt','11')) ) ); ?>                                    
                        </p>
                          <?php if( get_theme_mod('peccular_event_learnbutton_display','show' ) == 'show') : ?>
                        <?php
                           $peccular_events_button_text = get_theme_mod('peccular_events_button_text', 'Learn More'); ?>
                          <?php if($peccular_events_button_text){ ?>
                          <a href="<?php the_permalink(); ?>" class="learn-btn"><?php echo ($peccular_events_button_text );  ?><i class="fa fa-long-arrow-right" aria-hidden="true"></i></a>

                        <?php }?>
                         </a>          
                        <?php endif ?>  

                        </div>
                       </div>        
                      </div>
                            
                        </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}



function eventsInnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-event');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_eventspage_npp_count',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-4 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-3 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
             ?> 
            <div class="row m-0">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-events-thumb');
                $post = get_post();

                ?>

                 <div class="<?php echo $colCls;?> peccular-event-w">
                    <div events-match-height="groupName" class="peccular-events-single <?php echo esc_attr(get_theme_mod('peccular_events_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s" style="text-align : <?php if(get_theme_mod('peccular_eventspage_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_eventspage_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_eventspage_box_align','Right') == 'Right'){ ?> right <?php } ?> ">

                        
                        <div class="peccular-events-img">
                             <div class="peccular-events-border"></div>
                             <div class="peccular-events-overlay"></div>
                               <div class="eventoverlay"></div>
                        <?php
                        if (has_post_thumbnail()) {
                        $image_url = $peccular_image[0];
                        } else {
                        $image_url = get_template_directory_uri() . '/images/eventimg1.jpg';
                        }
                        ?>  
                         <a href="<?php the_permalink(); ?>">                           
                        <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="events" style="height: <?php echo esc_attr(get_theme_mod('peccular_eventpage_post_image_height','511')) ?>px;" />
                       
                        </a>

                        <div class="peccular-events-content" style="text-align : <?php if(get_theme_mod('peccular_eventspage_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_eventspage_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_eventspage_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
                      
                        <a href="<?php the_permalink(); ?>">    
                        <h4 class="peccular-events-title inner-area-title" style="text-transform : <?php if(get_theme_mod('peccular_eventspage_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_eventspage_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_eventspage_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } elseif(get_theme_mod('peccular_eventspage_title_case','None') == 'None'){ ?> none <?php } ?>">
                        <?php the_title(); ?>
                        </h4>

                         <p>
                            <?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_eventspage_post_excerpt','11')) ) ); ?>                                    
                        </p>
                          <?php if( get_theme_mod('peccular_event_learnbutton_display','show' ) == 'show') : ?>
                        <?php
                           $peccular_events_button_text = get_theme_mod('peccular_events_button_text', 'Learn More'); ?>
                          <?php if($peccular_events_button_text){ ?>
                          <a href="<?php the_permalink(); ?>" class="learn-btn"><?php echo ($peccular_events_button_text );  ?><i class="fa fa-long-arrow-right" aria-hidden="true"></i></a>

                        <?php }?>
                         </a>          
                        <?php endif ?>  

                        </div>
                       </div>        
                      </div>
                            
                        </div>
      <?php endwhile;  ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('EVENT', 'eventsInnerpageShortCode');
