<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>19
        )
    );


$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',                             
                'peccular_about_section_title1',
                'peccular_about_head_icon_enable',
                'peccular_about_head_icon',
                'peccular_aboutsubtext',
                'peccular_about_text',
                'peccular_about_texttext',                              
                'peccular_about_button_display',
                'peccular_about_btn_txt',
                'peccular_about_btnlink',
                'peccular_about_star_section_lbl1',
                'peccular_about_star_image',
                  'peccular_about_image', 
                    'peccular_about_section_title2',
                'peccular_about_section_title3',
                'peccular_about_pagelist2',
                'peccular_about_pagelist1',
                'peccular_about_section_lbl1',               
                'peccular_about_section_lbl3',                
                'abtexpenum',
                'abtexpetext'

            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_image_opacity',                
                'peccular_about_box_onload_effects',
                'peccular_about_head_align',
                'peccular_about_title_case',
                'peccular_about_heading_color',
                'peccular_about_headingborder_color',
                'peccular_about_subheading_color',
                'peccular_about_text_color',
                'peccular_about_list_color',
                'peccular_about_listicon_color',
                'peccular_about_listiconhover_color',
                'peccular_about_buttontext_color',
                'peccular_about_buttonbg_color',
                'peccular_about_buttonborder_color',
                'peccular_about_buttonbghover_color',   
                'peccular_about_buttonhvma_color',          
                'peccular_about_rightboxbg_color',
                'peccular_about_rightboxtext_color',
                'peccular_about_rightbox2bg_color',               
                'peccular_about_iconbghov_color',
                'peccular_about_imgborder_color1',
                'peccular_about_imgborder_color2',
                'peccular_about_imagecborder_color',
                'peccular_about_imagemusicnote_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_top_padding',
                'peccular_about_bottom_padding',
                'peccular_about_headingborder_position',
                'peccular_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));



$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'About Us', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_about_section_title2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Learn The Music From <br> The Core & Become Mastery', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title2',
    array(
        'settings'      => 'peccular_about_section_title2',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_aboutsubtext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. ullamco laboris aliquip commodo consequat .', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_aboutsubtext',
    array(
        'settings'      => 'peccular_aboutsubtext',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelist1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
         
           <li>Basic Knowledge</li>
            <li>Vocals Lesson</li>      
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelist1',
    array(
        'settings'      => 'peccular_about_pagelist1',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points List 1', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelist2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
            <li>Instruments</li>
            <li>Industry Lesson</li>    
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelist2',
    array(
        'settings'      => 'peccular_about_pagelist2',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points List 2', 'peccular-premium' )
    )
);


    $wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));


    $wp_customize->add_setting('peccular_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));



// to show & hide another button
$wp_customize->add_setting( 'peccular_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
    $wp_customize->add_setting(
        'peccular_about_btn_txt',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Read More' )
        )
    );
    $wp_customize->add_control(
        'peccular_about_btn_txt',
        array(
            'settings'      => 'peccular_about_btn_txt',
            'section'       => 'peccular_about_section',
            'type'          => 'text',
            'label'         => __( 'Button Text', 'peccular-premium' )
        )
    );
    $wp_customize->add_setting('peccular_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
    $wp_customize->add_control('peccular_about_btnlink',
        array(
            'settings'      => 'peccular_about_btnlink',
            'section'       => 'peccular_about_section',
            'type'          => 'url',
            'label'         => __( 'Add Button link here', 'peccular-premium' )
        )
    );
     $wp_customize->add_setting('peccular_about_star_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_about_star_section_lbl1',
        array(
            'settings'      => 'peccular_about_star_section_lbl1',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Image size 175px x 105px  ', 'peccular Premium' ),
        )
    )
);

    $wp_customize->add_setting( 'peccular_about_star_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_star_image', array(
        'label' => __('About Star Image','peccular'),
       'section' => 'peccular_about_section',
    )));

    $wp_customize->add_setting('peccular_about_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_about_section_lbl1',
        array(
            'settings'      => 'peccular_about_section_lbl1',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Image size 703px x 497px  ', 'peccular Premium' ),
        )
    )
);

    $wp_customize->add_setting( 'peccular_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
        'label' => __('About Right Image','peccular'),
       'section' => 'peccular_about_section',
    )));

$wp_customize->add_setting(
    'abtexpenum',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '20', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtexpenum',
    array(
        'settings'      => 'abtexpenum',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Experience Number', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'abtexpetext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Year Experience', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'abtexpetext',
    array(
        'settings'      => 'abtexpetext',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Experience Text', 'peccular-premium' )
    )
);


    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_title_case',array(
        'type' => 'select',
        'label' => __('About Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_about_section',
    ));


    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));
   
    $wp_customize->add_setting('peccular_about_top_padding',array(
        'default' => '4.5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_bottom_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));


     $wp_customize->add_setting('peccular_about_headingborder_position',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_headingborder_position',array(
    'type' => 'number',
    'label' => __('Heading Border Left Position','peccular'),
    'section' => 'peccular_about_section',
    ));
    

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_about_section',
    ));



addColorPalatOption($wp_customize, 'peccular_about_heading_color', 'peccular_about_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_headingborder_color', 'peccular_about_section', 'Heading Border & Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_subheading_color', 'peccular_about_section', ' Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_text_color', 'peccular_about_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_list_color', 'peccular_about_section', 'List Color', '');

addColorPalatOption($wp_customize, 'peccular_about_listicon_color', 'peccular_about_section', 'List Icon color', '');
addColorPalatOption($wp_customize, 'peccular_about_listiconhover_color', 'peccular_about_section', 'List Hover Icon color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttontext_color', 'peccular_about_section', 'Button Text / Dot Color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttonbg_color', 'peccular_about_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttonborder_color', 'peccular_about_section', 'Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttonbghover_color', 'peccular_about_section', 'Button BG Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_about_buttonhvma_color', 'peccular_about_section', ' Button Hover Music Line Color', '');

addColorPalatOption($wp_customize, 'peccular_about_rightboxbg_color', 'peccular_about_section', 'Right Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_rightboxtext_color', 'peccular_about_section', 'Right Box Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_rightbox2bg_color', 'peccular_about_section', 'Right Box Small BG Color', '');

addColorPalatOption($wp_customize, 'peccular_about_imgborder_color1', 'peccular_about_section', 'Image Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_imgborder_color2', 'peccular_about_section', 'Image Border Color', '');
addColorPalatOption($wp_customize, 'peccular_about_imagecborder_color', 'peccular_about_section', 'Image Corner Border Color', '');

addColorPalatOption($wp_customize, 'peccular_about_imagemusicnote_color', 'peccular_about_section', 'Image Music Note Color', '');

?>