<?php
$wp_customize->add_section(
    'peccular_events_section',
    array(
        'title' => __( 'Our Events', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>20
    )
);

$wp_customize->add_setting('peccular_events_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_events_nav', array(
       'section' => 'peccular_events_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_events_enable', 
                'peccular_events_maintitle',
                'peccular_events_head_icon_enable',
                'peccular_events_head_icon',
                'peccular_events_subtitle',              
                'peccular_events_area_lbl', 
                'peccular_events_section_lbl',  
                'peccular_events_npp_count',
                'peccular_events_heading1',
                'peccular_events_page1',
                'peccular_events_button_text1',
                'peccular_events_heading2',
                'peccular_events_page2',
                'peccular_events_button_text2',
                'peccular_events_heading3',
                'peccular_events_page3',
                'peccular_events_button_text3',
                'peccular_events_heading4',
                'peccular_events_page4',
                'peccular_events_button_text4',
                'peccular_events_heading5',
                'peccular_events_page5',
                'peccular_events_button_text5',
                'peccular_events_heading6',
                'peccular_events_page6',
                'peccular_events_button_text6',
                'peccular_events_heading7',
                'peccular_events_page7',
                'peccular_events_button_text7',
                'peccular_events_heading8',
                'peccular_events_page8',
                'peccular_events_button_text8',
                'peccular_events_heading9',
                'peccular_events_page9',
                'peccular_events_button_text9',
                'peccular_events_heading10',
                'peccular_events_page10',
                'peccular_events_button_text10',
                'peccular_events_heading11',
                'peccular_events_page11',
                'peccular_events_button_text11',
                'peccular_events_heading12',
                'peccular_events_page12',
                'peccular_events_button_text12',
                'peccular_events_button_enable',
                'peccular_events_button_text',
                'peccular_event_learnbutton_display',            
                'peccular_events_page_description',
                'peccular_events_button_display',
                'peccular_events_readbutton_text',
                'peccular_events_readbutton_link',
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_events_section_bg_color',
                'peccular_events_section_bg_image',
                'peccular_events_image_opacity',                               
                'peccular_events_box_onload_effects',
                'peccular_events_title_case',
                'peccular_events_head_align',
                'peccular_events_box_align',
                'peccular_events_heading_color',
                'peccular_events_subheading_color',
                'peccular_events_subheading2_color',
                'peccular_events_title_color',        
                'peccular_events_text_color',       
                'peccular_events_readbtn_color',
                'peccular_events_readbtnborder_color',
                'peccular_events_readbtnbg_color1',
                'peccular_events_readbtnbg_color2',
                'peccular_events_readbtnhover_color',
                'peccular_events_readbtnbghover_color',
                 'peccular_events_buttonhvma_color',
                'peccular_events_learnbtn_color',
                'peccular_events_learnbtnhover_color',
                'peccular_events_contboxbrdr_color',
                'peccular_events_contboxoverlay_color',
                'peccular_events_contboxbrdrhov_color', 
                'peccular_events_contboxoverlayhov_color',
                'peccular_events_boxhoverbg_color',
                'peccular_events_prevbtnbg_color',
                'peccular_events_prebtnicon_color',
               'peccular_events_prebtniconhover_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_events_padding',
                'peccular_events_section_t_padding',
                'peccular_events_section_b_padding',
                'peccular_events_section_width',
                'peccular_events_post_image_height',
                'peccular_events_post_excerpt'
            ),
         )
        ),
    )));


$wp_customize->add_setting( 'peccular_events_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_events_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_events_section'
)));

$wp_customize->add_setting(
    'peccular_events_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Events', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_events_maintitle',
    array(
        'settings'      => 'peccular_events_maintitle',
        'section'       => 'peccular_events_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_events_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Embark on a Musical Journey', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_events_subtitle',
    array(
        'settings'      => 'peccular_events_subtitle',
        'section'       => 'peccular_events_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_events_page_description',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, saliquip consequat.', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_events_page_description',
    array(
        'settings'      => 'peccular_events_page_description',
        'section'       => 'peccular_events_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'peccular' )
    )
);

// to show & hide another button
$wp_customize->add_setting( 'peccular_events_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_events_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_events_section', 'settings' => 'peccular_events_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'peccular_events_readbutton_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'See More', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_events_readbutton_text',
    array(
        'settings'      => 'peccular_events_readbutton_text',
        'section'       => 'peccular_events_section', 
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular' )
    )
);
$wp_customize->add_setting('peccular_events_readbutton_link',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_events_readbutton_link',
    array(
        'settings'      => 'peccular_events_readbutton_link',
        'section'       => 'peccular_events_section',
        'type'          => 'url',
        'label'         => __( 'Add Button Link Here', 'peccular-premium' )
    )
);


$EventSingleChoice[] = 'select';
if(!is_array($EventSingleChoice)){
    $wp_customize->add_setting('peccular_events_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_events_area_lbl',
            array(
                'settings'      => 'peccular_events_area_lbl',
                'section'       => 'peccular_events_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the events.</strong> <br/>Please add the events from "events menu" and then select Testimonial to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_events_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_events_section_lbl',
        array(
            'settings'      => 'peccular_events_section_lbl',
            'section'       => 'peccular_events_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[events]" in your page to list the events in a page ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_events_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 1));
$wp_customize->add_control(
    'peccular_events_npp_count',
    array(
        'settings'      => 'peccular_events_npp_count',
        'section'       => 'peccular_events_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Events To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//events PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_events_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_events_heading'.$i,
            array(
                'settings'      => 'peccular_events_heading'.$i,
                'section'       => 'peccular_events_section',
                'label'         => __( 'Event ', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_events_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'peccular_events_page'.$i,
        array(
            'settings'      => 'peccular_events_page'.$i,
            'section'       => 'peccular_events_section',
            'type'=> 'select',
            'label'         => __( 'Select A Event', 'peccular Premium' ),
            'choices' => $EventSingleChoice,
        )
    );


}

    $wp_customize->add_setting(
        'peccular_events_button_text',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Learn More' )
        )
    );
    $wp_customize->add_control(
        'peccular_events_button_text',
        array(
            'settings'      => 'peccular_events_button_text',
            'section'       => 'peccular_events_section',
            'type'          => 'text',
            'label'         => __( 'Box Button Text', 'peccular-premium' )
        )
    );

// to show & hide another button
$wp_customize->add_setting( 'peccular_event_learnbutton_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_event_learnbutton_display', array( 'label' => 'Box Button Display', 'section' => 'peccular_events_section', 'settings' => 'peccular_event_learnbutton_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
  
    $wp_customize->add_setting('peccular_events_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_events_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_events_section',
    ));


    $wp_customize->add_setting('peccular_events_post_image_height',array(
        'default' => 511,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_events_post_image_height',array(
    'label' => __('Image Height','peccular'),
    'section' => 'peccular_events_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('peccular_events_post_excerpt',array(
        'default' => 11,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_events_post_excerpt',array(
    'label' => __('Excerpt Length','peccular'),
    'section' => 'peccular_events_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));
  


    $wp_customize->add_setting('peccular_events_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_events_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_events_section'
   ));

     $wp_customize->add_setting('peccular_events_section_t_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_events_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_events_section',
    ));
     $wp_customize->add_setting('peccular_events_section_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_events_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_events_section',
    ));

// backgroundManager($wp_customize, 'events', 'peccular_events_section', $color='#fdfdfd',get_template_directory_uri().'/images/default-gray.png', 'img');

    $wp_customize->add_setting( 'peccular_events_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_events_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_events_section',
    )));

    $wp_customize->add_setting( 'peccular_events_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_events_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_events_section',
    )));


    $wp_customize->add_setting('peccular_events_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_events_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_events_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    $wp_customize->add_setting('peccular_events_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_events_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_events_section',
    ));

    $wp_customize->add_setting('peccular_events_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_events_title_case',array(
        'type' => 'select',
        'label' => __('Event Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_events_section',
    ));

    $wp_customize->add_setting('peccular_events_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_events_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_events_section',
    ));

     $wp_customize->add_setting('peccular_events_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_events_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_events_section',
    ));


addColorPalatOption($wp_customize, 'peccular_events_heading_color', 'peccular_events_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_events_subheading_color', 'peccular_events_section', 'Sub Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_events_subheading2_color', 'peccular_events_section', 'Heading Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_events_readbtn_color', 'peccular_events_section', 'Button Text / Dot Color', '');
addColorPalatOption($wp_customize, 'peccular_events_readbtnborder_color', 'peccular_events_section', 'Button Border Color', '');
addColorPalatOption($wp_customize, 'peccular_events_readbtnbg_color1', 'peccular_events_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_events_readbtnbg_color2', 'peccular_events_section', 'Button BG Color', '');
// addColorPalatOption($wp_customize, 'peccular_events_readbtnhover_color', 'peccular_events_section', 'Read Button Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_events_readbtnbghover_color', 'peccular_events_section', 'Button Hover BG Color', '');

addColorPalatOption($wp_customize, 'peccular_events_buttonhvma_color', 'peccular_events_section', ' Button Hover Music Line Color', '');

addColorPalatOption($wp_customize, 'peccular_events_title_color', 'peccular_events_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_events_text_color', 'peccular_events_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_events_learnbtn_color', 'peccular_events_section', 'Box Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_events_learnbtnhover_color', 'peccular_events_section', 'Box Button Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_events_contboxbrdr_color', 'peccular_events_section', 'Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_events_contboxoverlay_color', 'peccular_events_section', 'Box Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_events_contboxbrdrhov_color', 'peccular_events_section', 'Box Hover Border Color', '');

addColorPalatOption($wp_customize, 'peccular_events_boxhoverbg_color', 'peccular_events_section', 'Image Hover Overlay Color', '');

// addColorPalatOption($wp_customize, 'peccular_events_contboxoverlayhov_color', 'peccular_events_section', 'Box Hover Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_events_prevbtnbg_color', 'peccular_events_section', 'Slider Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_events_prebtnicon_color', 'peccular_events_section', 'Slider Button Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_events_prebtniconhover_color', 'peccular_events_section', 'Slider Button Icon Hover Color', '');
 ?>