<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );
    

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(            
          
                'peccular_contactpage_form_title',
                'peccular_rightcontactpage_mainsubtitle',
                'peccular_rightcontactpage_maintitle',
                'peccular_contactpageform_image',
                'peccular_rightcontactpage_subtitle',
                'peccular_leftcontactpage_maintitle',
                'peccular_leftcontactpage_maintitle2',
                'peccular_leftcontactpage_subtitle3',
                'peccular_contactpage_head_icon',
                'peccular_contactpage_subtitle',              
                'peccular_contactpage_Phonemun',
                'peccular_contactpage_addresslabel',
                'peccular_contactpage_Address1',
                'peccular_contactpage_Address2',
                'peccular_contactpage_Addresslabel1',
                'peccular_contactpage_Addresslabel2',
                'peccular_contactpage_Emailtxt1',
                'peccular_contactpage_email1',
                'peccular_contactpage_sociallabel',
                'peccular_contactpage_fb',
                'peccular_contactpage_tw',
                'peccular_contactpage_in',
                'peccular_contactpage_email',
                'peccular_contactpage_youtube',
                'peccular_contactpage_instagram',
                'peccular_contactpage_whatsapp',
                'peccular_contactpage_pinterest',
                'peccular_contactpage_form_shortcode',
                'peccular_rightcontactpage_heading',
                'peccular_leftcontactpage_heading',
                'peccular_rightcontactpage_calltext',
                'peccular_rightcontactpage_callnum',
                'peccular_contactpage_iframe_shortcode',
                'peccular_leftcontactpage_heading',
                  'peccular_counter_maintitle',
                'peccular_counter_head_icon_enable',
                'peccular_counter_head_icon',
                'peccular_counter_subtitle',
                'peccular_counter_npp_count_heading',
                'peccular_counter_npp_count',
                'peccular_counter_page1',
                'peccular_counter_page_icon1',
                'peccular_counter_page_title_1',
                'peccular_counter_page_num_1',
                'peccular_counter_page_unit_1',
                'peccular_counter_page2',
                'peccular_counter_page_icon2',
                'peccular_counter_page_title_2',
                'peccular_counter_page_num_2',
                'peccular_counter_page_unit_2',
                'peccular_counter_page3',
                'peccular_counter_page_icon3',
                'peccular_counter_page_title_3',
                'peccular_counter_page_num_3',
                'peccular_counter_page_unit_3',
                'peccular_counter_page4',
                'peccular_counter_page_icon4',
                'peccular_counter_page_title_4',
                'peccular_counter_page_num_4',
                'peccular_counter_page_unit_4',
                'peccular_counter_page5',
                'peccular_counter_page_icon5',
                'peccular_counter_page_title_5',
                'peccular_counter_page_num_5',
                'peccular_counter_page_unit_5',
                'peccular_counter_page6',
                'peccular_counter_page_icon6',
                'peccular_counter_page_title_6',
                'peccular_counter_page_num_6',
                'peccular_counter_page_unit_6',
                'peccular_counter_page7',
                'peccular_counter_page_icon7',
                'peccular_counter_page_title_7',
                'peccular_counter_page_num_7',
                'peccular_counter_page_unit_7',
                'peccular_counter_page8',
                'peccular_counter_page_icon8',
                'peccular_counter_page_title_8',
                'peccular_counter_page_num_8',
                'peccular_counter_page_unit_8',
                'peccular_counter_page9',
                'peccular_counter_page_icon9',
                'peccular_counter_page_title_9',
                'peccular_counter_page_num_9',
                'peccular_counter_page_unit_9',
                'peccular_counter_page10',
                'peccular_counter_page_icon10',
                'peccular_counter_page_title_10',
                'peccular_counter_page_num_10',
                'peccular_counter_page_unit_10',
                'peccular_counter_page11',
                'peccular_counter_page_icon11',
                'peccular_counter_page_title_11',
                'peccular_counter_page_num_11',
                'peccular_counter_page_unit_11',
                'peccular_counter_page12',
                'peccular_counter_page_icon12',
                'peccular_counter_page_title_12',
                'peccular_counter_page_num_12',
                'peccular_counter_page_unit_12',          


            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 

                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_head_align',
                'peccular_counter_head_align',
                'peccular_counter_box_align',
                'peccular_leftcontactpagecolor_heading',
                'peccular_rightcontactpagecolor_heading',
                'peccular_contactpageleft_formheading_color',
                'peccular_contactpageleft_subheading_color',
                'peccular_contactpageleft_formtext_color',
                'peccular_contactpageleft_formbg_color',
                'peccular_contactpageleft_formborder_color',
                'peccular_contactpageleft_btntext_color',
                'peccular_contactpageleft_btnbg_color1',
                'peccular_contactpageleft_btnbg_color2',
                'peccular_contactpageleft_btnhovtext_color',
                'peccular_contactpageleft_btnborderhov_color',
                'peccular_contactpageright_boxbg_color',
                'peccular_contactpageright_heading_color',
                'peccular_contactpageright_subheading_color',
                'peccular_contactpageright_icon_color',
                'peccular_contactpageright_emailborder_color',
                'peccular_contactpageright_text_color',
                'peccular_contactpageright_label_color',
                'peccular_contactpageright_linkhover_color',
                'peccular_contactpageright_addtext_color',
                'peccular_contactpageright_headingspan_color', 
                'peccular_contactpageright_topheading_color1',
                'peccular_contactpageright_cicon_color',
                'peccular_contactpageright_ciconbg_color1',
                'peccular_contactpageright_ciconbg_color2',
                'peccular_contactpageright_ciconborder_color',
                'peccular_contactpageleft_sociconlabel_color',
                'peccular_contactpageright_iconhover_color',
                'peccular_contactpageright_botombrdr_color',
                'peccular_contactpage_mapborder_color',
                'peccular_contactpageright_callnum_color',                
                'peccular_contactpageright_callnumhover_color',
                'peccular_contactpageright_calldotbordr_color',
                'peccular_contactpageleft_leftboxbg_color',
                'peccular_contactpageleft_subheading_color',
                'peccular_contactpageleft_subheadingtxt_color',
                'peccular_contactpageleft_socicon_color',
                'peccular_contactpageleft_sociconbrdr_color',
                'peccular_contactpageleft_sociconhovbg_color',
                'peccular_contactpageleft_sociconhov_color',
                'peccular_contactpageleft_sociconborder_color',
                'peccular_contactpage_mapborder_color',
                'peccular_countercontactpagecolor_heading',
                'peccular_contactpagecounter_heading_color',
                'peccular_contactpagecounter_subheading_color',
                'peccular_contactpagecounter_number_color',
                'peccular_contactpagecounter_numberhover_color',
                'peccular_contactpagecounter_name_color',
                'peccular_contactpagecounter_namehover_color',
                'peccular_contactpagecounter_boxborder_color',
                'peccular_contactpagecounter_boxhvrbg_color'
            ),
         )
        ),
    )));


 
    $wp_customize->add_setting(
        'peccular_contactpage_form_title',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Leave A Message', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_form_title',
        array(
            'settings'      => 'peccular_contactpage_form_title',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Form Heading', 'peccular' )
        )
    );
    

    $wp_customize->add_setting(
        'peccular_contactpage_form_shortcode',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Add form shortcode here', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_form_shortcode',
        array(
            'settings'      => 'peccular_contactpage_form_shortcode',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Form Shortcode ', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_rightcontactpage_mainsubtitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Contact Us', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_rightcontactpage_mainsubtitle',
        array(
            'settings'      => 'peccular_rightcontactpage_mainsubtitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Info Sub Heading', 'peccular' )
        )
    );


    $wp_customize->add_setting(
        'peccular_rightcontactpage_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Get In Touch', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_rightcontactpage_maintitle',
        array(
            'settings'      => 'peccular_rightcontactpage_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Info Heading', 'peccular' )
        )
    );



$wp_customize->add_setting(
    'peccular_contactpage_Phonemun',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '111-222-3333', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_Phonemun',
    array(
        'settings'      => 'peccular_contactpage_Phonemun',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);

    $wp_customize->add_setting(
        'peccular_contactpage_Emailtxt1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'info@yourmail.com', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_Emailtxt1',
        array(
            'settings'      => 'peccular_contactpage_Emailtxt1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Email', 'peccular' )
        )
    );


    $wp_customize->add_setting(
        'peccular_contactpage_Address1',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor New York', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_Address1',
        array(
            'settings'      => 'peccular_contactpage_Address1',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Address', 'peccular' )
        )
    );


    $wp_customize->add_setting(
        'peccular_contactpage_sociallabel',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Social Media :', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contactpage_sociallabel',
        array(
            'settings'      => 'peccular_contactpage_sociallabel',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'textarea',
            'label'         => __( 'Social Label', 'peccular' )
        )
    );


 // FACEBOOK 
$wp_customize->add_setting('peccular_contactpage_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_fb',
    array(
        'settings'      => 'peccular_contactpage_fb',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'peccular-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('peccular_contactpage_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_tw',
    array(
        'settings'      => 'peccular_contactpage_tw',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'peccular-premium' )
    )
);

// Email
$wp_customize->add_setting('peccular_contactpage_email',array('default'=> 'https://mail.google.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_email',
    array(
        'settings'      => 'peccular_contactpage_email',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Email Url', 'peccular-premium' )
    )
);


// Instagram IN
$wp_customize->add_setting('peccular_contactpage_instagram',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contactpage_instagram',
    array(
        'settings'      => 'peccular_contactpage_instagram',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'peccular-premium' )
    )
);
$wp_customize->add_setting('peccular_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('peccular_contactpage_iframe_shortcode', array('settings'=>'peccular_contactpage_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code For Map', 'peccular')));


$wp_customize->add_setting(
        'peccular_counter_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'OUR JOURNEY', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_counter_maintitle',
        array(
            'settings'      => 'peccular_counter_maintitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Counter Heading', 'peccular' )
        )
    );

    $wp_customize->add_setting(
        'peccular_counter_subtitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Trusted by 600+ Happy Students', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_counter_subtitle',
        array(
            'settings'      => 'peccular_counter_subtitle',
            'section'       => 'peccular_contact_pages', 
            'type'          => 'text',
            'label'         => __( 'Counter Sub Heading', 'peccular' )
        )
    );

$wp_customize->add_setting('peccular_counter_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_counter_npp_count_heading',
        array(
            'settings'      => 'peccular_counter_npp_count_heading',
            'section'       => 'peccular_contact_pages',
            'label'         => __( 'Number Of Counter To Show', 'peccular' ),
        )
    )
);    
$wp_customize->add_setting('peccular_counter_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_counter_npp_count',
    array(
        'settings'      => 'peccular_counter_npp_count',
        'section'       => 'peccular_contact_pages',
        'type'          => 'select',
        'label'         => __( 'Number Of Counter To Show', 'peccular' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_counter_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_counter_page'.$i,
            array(
                'settings'      => 'peccular_counter_page'.$i,
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Counter ', 'peccular-premium' ).$i
            )
        )
    );


lzAddElement($wp_customize, 'peccular_counter_page_num_'.$i, 'peccular_contact_pages', $type = 'text', $label="Counter Number", $callback ='sanitize_text_field', $default='600');
lzAddElement($wp_customize, 'peccular_counter_page_title_'.$i, 'peccular_contact_pages', $type = 'text', $label="Counter Text", $callback ='peccular_sanitize_text', $default='Satisfied Students');
    
}




   $wp_customize->add_setting('peccular_contactpage_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_head_align',array(
        'type' => 'select',
        'label' => __('Info Block Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

    $wp_customize->add_setting('peccular_counter_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_head_align',array(
        'type' => 'select',
        'label' => __('Counter Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

    $wp_customize->add_setting('peccular_counter_box_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_counter_box_align',array(
        'type' => 'select',
        'label' => __('Counter Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));



$wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(

        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

   
    $wp_customize->add_setting(
        'peccular_leftcontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_leftcontactpagecolor_heading',
            array(
                'settings'      => 'peccular_leftcontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Left Side Color', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_contactpageleft_formheading_color', 'peccular_contact_pages', 'Form Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_formtext_color', 'peccular_contact_pages', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_formbg_color', 'peccular_contact_pages', 'Form BG color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_formborder_color', 'peccular_contact_pages', 'Form Border color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btntext_color', 'peccular_contact_pages', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnbg_color1', 'peccular_contact_pages', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnbg_color2', 'peccular_contact_pages', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnhovtext_color', 'peccular_contact_pages', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_btnborderhov_color', 'peccular_contact_pages', 'Button Hover Border Color ', '');




    $wp_customize->add_setting(
        'peccular_rightcontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_rightcontactpagecolor_heading',
            array(
                'settings'      => 'peccular_rightcontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Right Side Color', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_contactpageright_heading_color', 'peccular_contact_pages', 'Heading Color', ''); 
addColorPalatOption($wp_customize, 'peccular_contactpageright_subheading_color', 'peccular_contact_pages', 'Sub Heading Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpageright_addtext_color', 'peccular_contact_pages', 'Info Text | Link Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpageright_linkhover_color', 'peccular_contact_pages', 'Info Link Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpageright_cicon_color', 'peccular_contact_pages', 'Info Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpageright_ciconbg_color1', 'peccular_contact_pages', 'Info Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpageright_ciconbg_color2', 'peccular_contact_pages', 'Info Icon BG Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpageright_ciconborder_color', 'peccular_contact_pages', 'Info Border Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpageleft_sociconlabel_color', 'peccular_contact_pages', 'Social Label Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_socicon_color', 'peccular_contact_pages', 'Social Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_sociconhov_color', 'peccular_contact_pages', 'Social Hover Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpageleft_sociconborder_color', 'peccular_contact_pages', 'Social Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_mapborder_color', 'peccular_contact_pages', 'Map Border Color ', '');

    $wp_customize->add_setting(
        'peccular_countercontactpagecolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_countercontactpagecolor_heading',
            array(
                'settings'      => 'peccular_countercontactpagecolor_heading',
                'section'       => 'peccular_contact_pages',
                'label'         => __( 'Counter Color', 'peccular Premium' ),
    ))); 


addColorPalatOption($wp_customize, 'peccular_contactpagecounter_heading_color', 'peccular_contact_pages', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagecounter_subheading_color', 'peccular_contact_pages', 'Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagecounter_number_color', 'peccular_contact_pages', 'Number Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagecounter_numberhover_color', 'peccular_contact_pages', 'Number Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagecounter_name_color', 'peccular_contact_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagecounter_namehover_color', 'peccular_contact_pages', 'Title Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_contactpagecounter_boxborder_color', 'peccular_contact_pages', 'Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpagecounter_boxhvrbg_color', 'peccular_contact_pages', 'Box Hover BG Color', '');
?>