<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test single',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_single_productpage' , array(
        'title'    => __( 'Single Product Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_singleproduct_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_singleproduct_nav', array(
       'section' => 'peccular_single_productpage',
       'priority' => 1,
       'buttons' => array(
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                'peccular_innerpage_singleproducttitle_color' ,            
                'peccular_innerpage_singleproductquantity_color',
                'peccular_innerpage_singleproductquantborder_color',
                'peccular_singleproducpage_saletext_color',
                'peccular_singleproducpage_salebg_color',
                'peccular_singleproducpage_Searchicon_color',
                'peccular_singleproducpage_Searchbg_color',
                'peccular_singleproducpage_thumbnailborder_color',
                'peccular_singleproducpage_thumbnailarrow_color',
                'peccular_singleproducpage_tabtext_color',
                'peccular_singleproducpage_tabbg_color',
                'peccular_singleproducpage_tabbghover_color',
                'peccular_innerpage_singleproductmetalabel_color',
                'peccular_innerpage_singleproductmetatext_color',
                'peccular_innerpage_singleproductmetatexthover_color',
                'peccular_innerpage_singleproductcartbuttontext_color',
                'peccular_innerpage_singleproductcartbuttonbg_color',
                'peccular_innerpage_singleproductcartbuttonbghover_color'
            ),
         )
        ),
    )));
addColorPalatOption($wp_customize, 'peccular_innerpage_singleproducttitle_color', 'peccular_single_productpage', 'Product Title Color', '');

addColorPalatOption($wp_customize, 'peccular_singleproducpage_price1_color', 'peccular_single_productpage', 'Regular Price Color', '');
addColorPalatOption($wp_customize, 'peccular_singleproducpage_price2_color', 'peccular_single_productpage', 'Sale Price Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_singleproductquantity_color', 'peccular_single_productpage', 'Quantity / Review Field Text Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_singleproductquantborder_color', 'peccular_single_productpage', 'Quantity Border Color', '');

addColorPalatOption($wp_customize, 'peccular_singleproducpage_saletext_color', 'peccular_single_productpage', 'Sale Text Color', '');
addColorPalatOption($wp_customize, 'peccular_singleproducpage_salebg_color', 'peccular_single_productpage', 'Sale BG Color', '');

addColorPalatOption($wp_customize, 'peccular_singleproducpage_Searchicon_color', 'peccular_single_productpage', 'Search Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_singleproducpage_Searchbg_color', 'peccular_single_productpage', 'Search BG Color', '');

addColorPalatOption($wp_customize, 'peccular_singleproducpage_thumbnailborder_color', 'peccular_single_productpage', 'Thumbnail Border Color', '');
addColorPalatOption($wp_customize, 'peccular_singleproducpage_thumbnailarrow_color', 'peccular_single_productpage', 'Thumbnail Arrow Color', '');

addColorPalatOption($wp_customize, 'peccular_singleproducpage_tabtext_color', 'peccular_single_productpage', 'Tab Text Color', '');
addColorPalatOption($wp_customize, 'peccular_singleproducpage_tabbg_color', 'peccular_single_productpage', 'Tab BG Color', '');
addColorPalatOption($wp_customize, 'peccular_singleproducpage_tabbghover_color', 'peccular_single_productpage', 'Tab BG Hover Color', '');


addColorPalatOption($wp_customize, 'peccular_innerpage_singleproductmetalabel_color', 'peccular_single_productpage', 'Meta Label Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_singleproductmetatext_color', 'peccular_single_productpage', 'Meta Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_singleproductmetatexthover_color', 'peccular_single_productpage', 'Meta Text Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_singleproductcartbuttontext_color', 'peccular_single_productpage', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_singleproductcartbuttonbg_color', 'peccular_single_productpage', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_singleproductcartbuttonbghover_color', 'peccular_single_productpage', 'Button BG Hover Color', '');

?>