<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_header_section' , array(
        'title'    => __( 'All Settings', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel2'
    ) );

    $wp_customize->add_setting('peccular_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
       'section' => 'peccular_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_show_sticky_header',
                'peccular_header_style',
                'peccular_header_width',   
                'peccular_header_button_display',    
                'peccular_header_button',
                'peccular_header_button_link'
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'header_righthbgColor',
                'header_rightbrdrColor',
                'header_stickybgColor',
                'header_SiteTitleColor',
                'header_SiteTaglineColor',
                'header_leftdotbgColor',
                'header_phoneiconColor',
                'header_phoneiconbgColor',
                'header_btnbgColor1',
                'header_btnbgColor2',
                'header_btnbgColor3',
                'header_btntextColor',

            ),
         )
        ),
    )));
    
    $wp_customize->add_setting( 'peccular_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','peccular' ),
        'section' => 'peccular_header_section'
   )));


    $wp_customize->add_setting('peccular_header_style',array(
        'default' => 'On Slider',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','peccular'),
        'choices' => array (
            'Above Slider' => __('Above Slider','peccular'),
            'On Slider' => __('On Slider','peccular')
        ),
        'section' => 'peccular_header_section',
    ));

    $wp_customize->add_setting('peccular_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_header_section',
    ));

    // to show & hide another button
$wp_customize->add_setting( 'peccular_header_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_header_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_header_section', 'settings' => 'peccular_header_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button


   $wp_customize->add_setting('peccular_header_button',array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default' => __('APPOINTMENT','peccular-premium')
    ));
    $wp_customize->add_control('peccular_header_button',array(
        'settings'      => 'peccular_header_button',
        'type' => 'text',
        'label' => __('Button Text','peccular-premium'),
        'section' => 'peccular_header_section',
    ));

    $wp_customize->add_setting('peccular_header_button_link',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
    $wp_customize->add_control('peccular_header_button_link',
        array(
            'settings'      => 'peccular_header_button_link',
            'section'       => 'peccular_header_section',
            'type'          => 'url',
            'label'         => __( 'Add Button Link Here', 'peccular-premium' )
        )
    );

    // $wp_customize->add_setting( 'peccular_about_section_bg_image', array(
    //    'default' => '',
    //    'sanitize_callback' => 'esc_url_raw'
    // ));
    // $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
    //     'label' => __('Section Background Image','peccular'),
    //    'section' => 'peccular_about_section',
    // )));


addColorPalatOption($wp_customize, 'header_righthbgColor', 'peccular_header_section', 'Right Header BG Color', '');

addColorPalatOption($wp_customize, 'header_rightbrdrColor', 'peccular_header_section', 'Header Border Color', '');
addColorPalatOption($wp_customize, 'header_stickybgColor', 'peccular_header_section', 'Sticky BG / Above Slider BG Color', '');
addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'header_leftdotbgColor', 'peccular_header_section', 'Header Left Dot Icon Color', '');

addColorPalatOption($wp_customize, 'header_phoneiconColor', 'peccular_header_section', 'Phone Icon Color', '');
addColorPalatOption($wp_customize, 'header_phoneiconbgColor', 'peccular_header_section', 'Phone Icon BG Color', '');
addColorPalatOption($wp_customize, 'header_btnbgColor1', 'peccular_header_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'header_btnbgColor2', 'peccular_header_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'header_btnbgColor3', 'peccular_header_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'header_btntextColor', 'peccular_header_section', 'Button Text Color', '');


?>