<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
 get_header(); ?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header" >
    	
        <?php if( get_theme_mod('peccular_headerimage_display','show' ) == 'show') : ?>
          <?php 
        $peccular_innerpage_headerimage = get_theme_mod('peccular_innerpage_headerimage');
        if(!empty($peccular_innerpage_headerimage)){
        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_innerpage_headerimage).'" class="ipbgimg" />';
        }else{
        echo '<img alt="" class="ipbgimg" src="'.get_template_directory_uri().'/images/ipheader.png"  />';
        }
    ?>      
     <?php endif ?>  
 <div class="container">
     <div class="row innerpage-header-area m-0">

         <?php  if (!empty($image)) { ?>

            <div class="col-md-6 pd-0 w-h-100">
    <div class="feature-box-img">
<!--         <span></span>
         <span></span>
          <span></span> -->
           <span></span>

    <?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

     <?php  if (!empty($image)) : ?>
         <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>"  style="height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','276')) ?>px;" />

      <?php endif ?> 
       <div class="peccular-innerpage-img-overlay"></div> 
     <?php } ?>       
 </div>  
             
</div>

                <div class="site-details col-md-6 pd-0 w-h-100">
              
                <div class="image-icon" style="text-align: <?php if(get_theme_mod('peccular_innerpage_titbread_align','Right') == 'Right'){ ?> right <?php } elseif(get_theme_mod('peccular_innerpage_titbread_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_innerpage_titbread_align','Center') == 'Center'){ ?> center <?php } ?> ">

    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 



       <?php  }  else { ?>

              <div class="site-details col-md-12">
              
                <div class="image-icon" style="text-align: <?php if(get_theme_mod('peccular_innerpage_titbread_align','Right') == 'Right'){ ?> right <?php } elseif(get_theme_mod('peccular_innerpage_titbread_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_innerpage_titbread_align','Center') == 'Center'){ ?> center <?php } ?> ">

                    <?php
                    if(get_theme_mod('page_title_on_off') != 'on' ){
                  ?>
                    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
                        <div class="clearfix"></div>
                         <?php
                    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
                  ?>
                        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                            <div class="Breadcrumb_title">
                                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
                            </div>
                            <div class="clearfix"></div>
                        </div>
                 <?php } ?> 
                    </div>
                 <?php } ?> 

             </div>

        </div> 

     <?php  } ?>

        

<div class="clearfix"></div>
</div>
<div class="clearfix"></div>
</div>

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
	<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
<div class="row md-1">
		<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12 leftcontact">
			
			<div class="contactformarea">
							
				<div class="peccular-contact-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
						
						<?php 
						$peccular_contactpage_form_title = get_theme_mod('peccular_contactpage_form_title', 'Leave A Message');
						$peccular_contactpage_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add form shortcode on customiser');
						?>

						<?php if($peccular_contactpage_form_title){ ?>
			                <h3><?php echo ($peccular_contactpage_form_title);  ?></h3>
			            <?php }?>
						<div class="peccular-contact-member-wrap">
							<?php echo do_shortcode($peccular_contactpage_form_shortcode);?>
							<div class="clearfix"></div>
						</div>
				</div>



			</div>
		</div>

		<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12 rightcontact">


					<?php

				$peccular_rightcontactpage_maintitle = get_theme_mod('peccular_rightcontactpage_maintitle', 'Get In Touch');
				$peccular_rightcontactpage_mainsubtitle = get_theme_mod('peccular_rightcontactpage_mainsubtitle', 'Contact Us');
					
				?>



				<?php if($peccular_rightcontactpage_maintitle || $peccular_rightcontactpage_mainsubtitle){ ?>
				<div class="peccular-section-head" style="text-align: <?php if(get_theme_mod('peccular_contactpage_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_contactpage_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_contactpage_head_align','Right') == 'Right'){ ?> right <?php } ?> ">
							
					
				   	<?php if($peccular_rightcontactpage_mainsubtitle){ ?>
      				<h3><?php echo ($peccular_rightcontactpage_mainsubtitle);  ?></h3>	
      				<?php }?>	
      				<?php if($peccular_rightcontactpage_maintitle) { ?>
		                <h2><?php echo ($peccular_rightcontactpage_maintitle);  ?></h2>
		            <?php }?>	
				</div>	
				<?php }?>					
				<?php

				$peccular_contactpage_Phonemun = get_theme_mod('peccular_contactpage_Phonemun', '111-222-3333');
					$peccular_contactpage_Address1 = get_theme_mod('peccular_contactpage_Address1', 'Lorem ipsum dolor New York');
					$peccular_contactpage_Emailtxt1 = get_theme_mod('peccular_contactpage_Emailtxt1', 'info@yourmail.com');	
					
				?>
				<div class="peccular-contact">
						
					<?php if($peccular_contactpage_Phonemun ){ ?>
						<div class="peccular-contact-address <?php echo esc_attr(get_theme_mod('peccular_contact_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
							<div class="row m-0">
							<div class="col-md-2 p-c-im-w p-0">
							<div class="peccular-contact-icon">									
								<i class="fa fa-phone" aria-hidden="true"></i>
							</div>
							</div>	
							<div class="col-md-10 p-c-d-w p-0">
							<div class="peccular-contact-info">								
								<a href="telto:<?php echo $peccular_contactpage_Phonemun ;?>"><?php echo $peccular_contactpage_Phonemun ;?></a>
							</div>	
							</div>
							<div class="clearfix"></div>
						</div>

						</div>
					<?php }?>	
						<?php if($peccular_contactpage_Emailtxt1 ){ ?>
						<div class="peccular-contact-address <?php echo esc_attr(get_theme_mod('peccular_contact_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
							<div class="row m-0">
							<div class="col-md-2 p-c-im-w p-0">
							<div class="peccular-contact-icon">									
								<i class="fa fa-envelope-o" aria-hidden="true"></i>
							</div>	
							</div>
							<div class="col-md-10 p-c-d-w p-0">
							<div class="peccular-contact-info">									
									<a href="mailto:<?php echo $peccular_contactpage_Emailtxt1 ;?>"><?php echo $peccular_contactpage_Emailtxt1 ;?></a>
							</div>	
							</div>
							<div class="clearfix"></div>
						</div>

						</div>
					<?php }?>				
						<?php if($peccular_contactpage_Address1 ){ ?>
						<div class="peccular-contact-address <?php echo esc_attr(get_theme_mod('peccular_contact_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
							<div class="row m-0">
							<div class="col-md-2 p-c-im-w p-0">
							<div class="peccular-contact-icon">									
								<i class="fa fa-map-marker" aria-hidden="true"></i>
							</div>	
						</div>
						<div class="col-md-10 p-c-d-w p-0">
							<div class="peccular-contact-info">										
									<?php echo $peccular_contactpage_Address1 ;?>
							</div>
							</div>	
							<div class="clearfix"></div>
						</div>

						</div>
					<?php }?>				

				<div class="clearfix"></div>
				</div>	
				<?php
		$peccular_contactpage_sociallabel = get_theme_mod('peccular_contactpage_sociallabel', 'Social Media :');
		$facebook = get_theme_mod('peccular_contactpage_fb', '//facebook.com/');
		$twitter = get_theme_mod('peccular_contactpage_tw', '//twitter.com/');
		$email = get_theme_mod('peccular_contactpage_email', 'https://mail.google.com/');
		$instagram = get_theme_mod('peccular_contactpage_instagram', 'https://www.instagram.com/');
		?>		
		<?php if($peccular_contactpage_sociallabel  || $facebook || $twitter || $email || $instagram){ ?>
			<div class="socials">
	

		<div class="row m-0">
			<div class="col-md-4 social-label">
					<?php echo $peccular_contactpage_sociallabel ;?>
			</div>
			<div class="col-md-8 peccular-contact-socials">
				
		<?php if(!empty($facebook)){ ?>
		<a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a>
		<?php }?>

		<?php if(!empty($twitter)){ ?>
		<a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter"></i></a>
		<?php }?>

		<?php if(!empty($email)){ ?>
		<a href="<?php echo $email ?>" title="LinkedIn" class="site-button sharp" target="_blank"><i class="fa fa-envelope"></i></a>
		<?php }?>

		<?php if(!empty($instagram)){ ?>
		<a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram"></i></a>
		<?php }?>
			</div>
			<div class="clearfix"></div>
		</div>

		</div><!-- col 6 social icon-->

	<?php }?>	

			</div><!-- rightcontact-->


				
				
			</div><!-- row -->
		</div>
			<?php $peccular_contactpage_iframe_shortcode = get_theme_mod('peccular_contactpage_iframe_shortcode', 'Add Map Embed Code Here');
				 ?>
			<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
						<?php if(!empty($peccular_contactpage_iframe_shortcode)){ ?>
						<div class="peccular-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								<?php echo ($peccular_contactpage_iframe_shortcode);  ?>
							</div>
						<?php }?>
				</div>		
				<div class="clearfix"></div>	

					<div class="peccular-counter-area">  
							<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
				<div class="row m-0">

					<?php
			$showStatic = true;
			for( $i = 1; $i < 7; $i++ ){
				// $url = get_theme_mod('peccular_counter_page_url_'.$i, '#');
				// $link = get_theme_mod('peccular_counter_page_link'.$i);
				$peccular_counter_page_id = get_theme_mod('peccular_counter_page_num_'.$i); 
				if(!empty($peccular_counter_page_id)){
					$showStatic = false;
					break;
				}
			}				
			?>
			<?php
			$peccular_counter_page_id = get_theme_mod('peccular_counter_page');		
			$peccular_counter_maintitle = get_theme_mod('peccular_counter_maintitle', 'OUR JOURNEY');	
			$peccular_counter_subtitle = get_theme_mod('peccular_counter_subtitle', 'Trusted by 600+ Happy Students');		
			?>		

			<?php if($peccular_counter_maintitle || $peccular_counter_subtitle){ ?>
				<div class="peccular-counter-head" style="text-align: <?php if(get_theme_mod('peccular_counter_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_counter_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_counter_head_align','Right') == 'Right'){ ?> right <?php } ?> ">
							
					<?php if($peccular_counter_maintitle) { ?>
		                <h2><?php echo ($peccular_counter_maintitle);  ?></h2>
		            <?php }?>	
				   	<?php if($peccular_counter_subtitle){ ?>
      				<h3><?php echo ($peccular_counter_subtitle);  ?></h3>	
      				<?php }?>	
      				
				</div>	
				<?php }?>


				<?php
				$cols = get_theme_mod('peccular_counter_npp_count', 3);
				$cols++;
							// echo '$cold: '.$cols;
				switch($cols){
					case 1:
					$colCls = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';
					break;
					case 2:	
					$colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
					break;
					case 3:
					case 5:
					case 6:
					case 9:
					case 11:
					case 13:
					case 15:
					$colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
					break;
					default: 
					$colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
					break;
				}
				$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
				?>

				<?php
				for( $i = 1; $i <= $cols; $i++ ){
					
					if($showStatic === false){

						$peccular_counter_page_id = get_theme_mod('peccular_counter_page'.$i);
						$url = get_theme_mod('peccular_counter_page_url_'.$i, '#');
						$peccular_counter_page_title_ = get_theme_mod('peccular_counter_page_title_'.$i,'Satisfied Students');
						$peccular_counter_page_num_ = get_theme_mod('peccular_counter_page_num_'.$i,'600');						 
						$peccular_counter_page_icon = get_theme_mod('peccular_counter_page_icon'.$i);
						if($peccular_counter_page_num_){
							?>
							<div class="<?php echo $colCls;?> peccular-counter-b">
								<div counter-match-height="groupName" class="peccular-counter-single <?php echo esc_attr(get_theme_mod('peccular_counter_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_counter_box_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_counter_box_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_counter_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
									
											<div class="peccular-counter-num count">											
												<?php echo $peccular_counter_page_num_; ?>												
											</div>
											
										<h4 class="peccular-counter-title inner-area-title" style="text-transform : <?php if(get_theme_mod('peccular_counter_title_case','Capitalize') == 'Capitalize'){ ?> Capitalize <?php } elseif(get_theme_mod('peccular_counter_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_counter_title_case','Uppercase') == 'Uppercase'){ ?> Uppercase <?php } ?>">
											<?php echo $peccular_counter_page_title_; ?>
										</h4>
									</div>
								</div>
							<?php
						}
					}else{?>
						<div class="<?php echo $colCls;?> peccular-counter-b">
								<div counter-match-height="groupName" class="peccular-counter-single <?php echo esc_attr(get_theme_mod('peccular_counter_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_counter_box_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_counter_box_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_counter_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
								

									<div class="peccular-counter-num count">100</div>									
									<h4 class="peccular-counter-title inner-area-title" style="text-transform : <?php if(get_theme_mod('peccular_counter_title_case','Capitalize ') == 'Capitalize'){ ?> Capitalize <?php } elseif(get_theme_mod('peccular_counter_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_counter_title_case','Uppercase') == 'Uppercase'){ ?> Uppercase <?php } ?>">
										Industry Metrics
									</h4>		
							</div>
						</div>
					<?php }

				}?>
			</div>
			<div class="clearfix"></div>
			</div>
		<div class="clearfix"></div>
			</div>				
</main>
<script>
	var matchHeight = function () {
	
	function init() {
		eventListeners();
		matchHeight();
	}
	
	function eventListeners(){
		$(window).on('resize', function() {
			matchHeight();
		});
	}
	
	function matchHeight(){
		var groupName = $('[counter-match-height]');
		var groupHeights = [];
		
		groupName.css('min-height', 'auto');
		
		groupName.each(function() {
			groupHeights.push($(this).outerHeight());
		});
		
		var maxHeight = Math.max.apply(null, groupHeights);
		groupName.css('min-height', maxHeight);
	};
	
	return {
		init: init
	};
	
} ();

$(document).ready(function() {
	matchHeight.init();
});
</script>
<script>
  $(document).ready(function() {

  var counters = $(".count");
  var countersQuantity = counters.length;
  var counter = [];

  for (i = 0; i < countersQuantity; i++) {
    counter[i] = parseInt(counters[i].innerHTML);
  }

  var count = function(start, value, id) {
    var localStart = start;
    setInterval(function() {
      if (localStart < value) {
        localStart++;
        counters[id].innerHTML = localStart;
      }
    }, 40);
  }

  for (j = 0; j < countersQuantity; j++) {
    count(0, counter[j], j);
  }
});
</script>
<?php get_footer(); ?>