
<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular
 */
get_header(); ?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header" >

        <?php if( get_theme_mod('peccular_headerimage_display','show' ) == 'show') : ?>
          <?php 
        $peccular_innerpage_headerimage = get_theme_mod('peccular_innerpage_headerimage');
        if(!empty($peccular_innerpage_headerimage)){
        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_innerpage_headerimage).'" class="ipbgimg" />';
        }else{
        echo '<img alt="" class="ipbgimg" src="'.get_template_directory_uri().'/images/ipheader.png"  />';
        }
    ?>      
     <?php endif ?>  
 <div class="container">
     <div class="row innerpage-header-area m-0">

         <?php  if (!empty($image)) { ?>

            <div class="col-md-6 pd-0 w-h-100">
    <div class="feature-box-img">
<!--         <span></span>
         <span></span>
          <span></span> -->
           <span></span>

    <?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

     <?php  if (!empty($image)) : ?>
         <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>"  style="height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','276')) ?>px;" />

      <?php endif ?> 
       <div class="peccular-innerpage-img-overlay"></div> 
     <?php } ?>       
 </div>  
             
</div>

                <div class="site-details col-md-6 pd-0 w-h-100">
            
                <div class="image-icon" style="text-align: <?php if(get_theme_mod('peccular_innerpage_titbread_align','Right') == 'Right'){ ?> right <?php } elseif(get_theme_mod('peccular_innerpage_titbread_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_innerpage_titbread_align','Center') == 'Center'){ ?> center <?php } ?> ">

    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 



       <?php  }  else { ?>

              <div class="site-details col-md-12">
              
                <div class="image-icon" style="text-align: <?php if(get_theme_mod('peccular_innerpage_titbread_align','Right') == 'Right'){ ?> right <?php } elseif(get_theme_mod('peccular_innerpage_titbread_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_innerpage_titbread_align','Center') == 'Center'){ ?> center <?php } ?> ">

                    <?php
                    if(get_theme_mod('page_title_on_off') != 'on' ){
                  ?>
                    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
                        <div class="clearfix"></div>
                         <?php
                    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
                  ?>
                        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
                            <div class="Breadcrumb_title">
                                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
                            </div>
                            <div class="clearfix"></div>
                        </div>
                 <?php } ?> 
                    </div>
                 <?php } ?> 

             </div>

        </div> 

     <?php  } ?>

        

<div class="clearfix"></div>
</div>
<div class="clearfix"></div>
</div>

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
<div class="clearfix"></div>
</div>
<div class="single-productpage">
	<main id="innerpage-box">
		<div id="page" class="container" >
			<div class="inner_contentbox" >		
				<article id="content" class="article single_inner">
					<?php do_action('woocommerce_before_main_content'); ?>
						<?php while ( have_posts() ) : the_post(); ?>

							<?php wc_get_template_part( 'content', 'single-product' ); ?>

                      <?php endwhile; // end of the loop. ?>
				</article>
				<div class="clearfix"></div>
			</div>
			<div class="clearfix"></div>
		</div>
	</main><!-- #primary -->	
</div>
<div class="clearfix"></div>

<div>

</div>
<?php get_footer(); ?>